require 'crabbs/version'
require 'crabbs/page'
require 'crabbs/crawler'
require 'crabbs/cli'

module Crabbs

  class << self
    attr_reader :crawler

    def start(options)
      @crawler = Crabbs::Crawler.new options
      @crawler.crawl options[:url]
      @crawler.site_map
    end
  end
end
